
module fast_sum_def

! ************************************************************************* !
!                                                                           !
!       Header for fast summation algorithm for RKHS                        !
!       3-dim case                                                          !
!                                                                           ! 
! ************************************************************************* !

   implicit none

   integer, parameter :: n1max=20, n2max=20, n3max=5, mmax=2

   ! One sigma set
   type sigma_set
       double precision, dimension(1:3, 1:mmax, 1:3, 1:mmax, 1:3, 1:mmax) :: sigma
   end type

   type fast_sum_data

      integer :: n1,n2,n3
      double precision, dimension(n1max) :: r1
      double precision, dimension(n2max) :: r2
      double precision, dimension(n3max) :: r3
      character (len=3) :: transtype

      integer, dimension(1:mmax)              :: m1,m2,m3            
      double precision, dimension(1:3,1:mmax) :: p1,p2,p3           
      integer, dimension(1:3,1:mmax)          :: fnum1,fnum2,fnum3   

      ! Array of sigma set's. Fortran can't do more than 7-dim arrays.
      type (sigma_set), dimension(0:n1max, 0:n2max, 0:n3max) :: zeta
      
   end type

end module
