module switches

  private :: mysech

contains

! ==F================================================================F== !
double precision function mysech(x)
   implicit none
   double precision, intent(in) :: x
   mysech = 1.0d0/cosh(x)
end function

! ==F================================================================F== !
function omega_switch(x,xsw,gamma) result (f)
  implicit none
  double precision :: x,xsw,gamma,f
  intent(in) :: x,xsw,gamma
 
  f = 0.5d0*(1.0d0-tanh(gamma*(x-xsw)))

end function

! ==F================================================================F== !
function omega_switch_der(x,xsw,gamma) result (f)
  implicit none
  double precision :: x,xsw,gamma,f
  intent(in) :: x,xsw,gamma

  f = -0.5*gamma*mysech(gamma*(x - xsw))**2

end function

! ==F================================================================F== !
function omega_switch_der_der(x,xsw,gamma) result (f)
  implicit none
  double precision :: x,xsw,gamma,f
  intent(in) :: x,xsw,gamma

  f = gamma**2.0*mysech(gamma*(x - xsw))**2.0*tanh(gamma*(x - xsw))

end function

end module
