module timing
   implicit none

contains

double precision function get_sec(str)
   implicit none
   character (len=*) :: str
   double precision :: hh,mm,ss

   read(str(1:2),*) hh
   read(str(3:4),*) mm
   read(str(5:),*) ss

   get_sec = 3600*hh + 60*mm + ss

end function

subroutine analyse_time(s1,s2,s3,s4)
   implicit none
   character (len=*) :: s1, s2, s3, s4
   double precision :: t1,t2,t3,t4

   t1 = get_sec(s1)
   t2 = get_sec(s2)
   t3 = get_sec(s3)
   t4 = get_sec(s4)

   write(*,*) " Time for regular summation : ", t2-t1
   write(*,*) " Time for fast summation    : ", t4-t3
   write(*,*) " Speed up coefficient       : ", (t2-t1)/(t4-t3)

end subroutine

end module
