
! =============================================================== !
!   two bridge procedures to be called from POTLIB hookup's       !
! =============================================================== !

! ==F=================================================F===!
Subroutine myprepot

   use hgbr2_surf_def
   use hgbr2_surf_main

   implicit none

   call read_in(GS,"hgbr2-pot.bin")

   write(*,*) "/* **************************************************************************** */"
   write(*,*) "   icMRCI+Q/CSB+SO RKHS Potential Energy Surface for the ground state of HgBr2  "
   write(*,*) "   "//GS%info 
   write(*,*) "   Reference:  N.B.Balabanov, B.C.Shepler, and K.A.Peterson, "
   write(*,*) "               J.Phys.Chem.A, 2005, submitted (06/22/05) "
   write(*,*) "/* **************************************************************************** */"

end Subroutine

! ==F=================================================F===!
Subroutine mypotential(xx,vv,dx)

   use hgbr2_surf_def
   use hgbr2_surf_main

   implicit none
   double precision, dimension(9), intent(in)  :: xx
   double precision, intent(out)               :: vv
   double precision, dimension(9), intent(out) :: dx

   call GlobalPotCart(xx(1:3),xx(4:6),xx(7:9),vv,dx(1:9))

end subroutine


