
!**
!**   Hook Up's to POTLIB2001
!** 



C ================================================================= 
C =                                                               =
C =      PTPACM, PREPOT, and POT for use with POTLIB 2001         =
C =                                                               =
C =================================================================

C ==F==============================================================
	block data PTPACM

	implicit real*8 (a-h,o-z)
	character*75 ref(5)
	parameter (natom=25,n3atom=3*natom)
	parameter (isurf=5,jsurf=isurf*(isurf+1)/2)

	common /usricm/ cart(natom,3),anuzero,nulbl(natom),
     >                  nflag(20),nasurf(isurf+1,isurf+1),nder
	common /infocm/ cartnu(natom,3),indexes(natom),irctnt,
     >                  natoms,icartr,mder,msurf,ref

C       nder      = 1      !  we have first derivatives
C       anuzero   = 0.0d0  !  energy shift
C       nflag(1)  = 1      !  distances in bohrs
C       nflag(2)  = 1      !  energies in Hartree
C       nflag(18) = 6      !  output to unit 6

	data nder,anuzero,nflag,nulbl/1,0.D0,1,1,15*0,6,0,0,25*0/

C       icartr = 1         !  we work in Cartesian coordinates directly
C       mder   = 1         !  we have first derivatives
C       msurf  = 0         !  no excited states

	data natoms,icartr,mder,msurf/3,1,1,0/

	end

C ==F==============================================================
	subroutine PREPOT

	implicit real*8 (a-h,o-z)
	character*75 ref(5)
	parameter (natom=25,n3atom=3*natom)
	parameter (isurf=5,jsurf=isurf*(isurf+1)/2)

        common /usricm/ cart(natom,3),anuzero,nulbl(natom),
     >                  nflag(20),nasurf(isurf+1,isurf+1),nder
        common /infocm/ cartnu(natom,3),indexes(natom),irctnt,
     >                  natoms,icartr,mder,msurf,ref


	ref(1)=' HgBr2 potential '
	ref(2)=' icMRCI(Q)/CBS + SO correction '
	ref(3)=''
	ref(4)=''
	ref(5)=''

C  setting irctnt to 3 means that:
C  reactant 1 is atoms 1 and 2 (Br and Hg)
C  and reactant 2 is atom 3 (another Br)

	irctnt=3

C  the atomic number for each atom

	indexes(1)=35
	indexes(2)=80
	indexes(3)=35


C  Let POTLIB 2001 do whatever it wants to do
	call potinfo
	call ancvrt

C  call my origonal prepot subrotine
        call myprepot

	return
	end


C ==F=============================================================
	subroutine POT

        implicit real*8 (a-h,o-z)
        character*75 ref(5)
        parameter (natom=25,n3atom=3*natom)
        parameter (isurf=5,jsurf=isurf*(isurf+1)/2)

C  common blocks for POTLIB

        common /usricm/ cart(natom,3),anuzero,nulbl(natom),
     >                  nflag(20),nasurf(isurf+1,isurf+1),nder
        common /infocm/ cartnu(natom,3),indexes(natom),irctnt,
     >                  natoms,icartr,mder,msurf,ref
	common /usrocm/ pengygs,pengyes(isurf),pengyij(jsurf),
     >                  dgscart(natom,3),descart(natom,3,isurf),
     >                  dijcart(natom,3,jsurf)
	common /pt1cm/  r(n3atom),engygs,degsdr(n3atom)
	common /pt4cm/  engyes(isurf),deesdr(n3atom,isurf)
	common /pt5cm/  engyij(jsurf),deijdr(n3atom,jsurf)

C  my temporary variables
 	dimension xx(9), dx(9)

C  Let POTLIB 2001 do whatever it wants to do
	call cartou
	call carttor
C  Cartesian coordinates are now in array R of pt1cm block

C  Getting energy and derivatives from my original potential:
        do i=1,9
            xx(i)=r(i)
        end do
        call mypotential(xx,vv,dx) 

C  Storing energy and derivatives in engygs and degsdr of pt1cm block
        engygs = vv
        do i=1,9
           degsdr(i)=dx(i) 
        end do

C  Let POTLIB 2001 do whatever it wants to do
	call eunitzero
	if (nder.ne.0) then
	   call rtocart
	   if (nflag(1)+nflag(2).ne.0) call dedcou
	endif

	return
	end

